SuiteResult (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng
Class SuiteResult

    java.lang.Object
      org.testng.SuiteResult

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable, ISuiteResult

    public class SuiteResult

extends java.lang.Object
implements ISuiteResult, java.lang.Comparable

This class logs the result of an entire Test Suite (defined by a property file).

Author:
  Cedric Beust, May 10, 2004
See Also:
  Serialized Form

Field Summary
`static java.util.Comparator` | `COMPARATOR`

Constructor Summary
`SuiteResult(java.lang.String propertyFileName, ITestContext tr)`
`SuiteResult(XmlSuite suite, ITestContext tr)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getPropertyFileName()`
`XmlSuite` | `getSuite()`
`ITestContext` | `getTestContext()`
`java.lang.String` | `toString()` Returns the test context name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### COMPARATOR

    public static final java.util.Comparator COMPARATOR

Constructor Detail

### SuiteResult

    public SuiteResult(java.lang.String propertyFileName,
                       ITestContext tr)

Parameters:
  `propertyFileName` -
  `tr` -

### SuiteResult

    public SuiteResult(XmlSuite suite,
                       ITestContext tr)

Method Detail

### getPropertyFileName

    public java.lang.String getPropertyFileName()

  Specified by:
    `getPropertyFileName` in interface `ISuiteResult`
  Returns:
    Returns the propertyFileName.

### getTestContext

    public ITestContext getTestContext()

  Specified by:
    `getTestContext` in interface `ISuiteResult`
  Returns:
    Returns the singleTestRunner.

### getSuite

    public XmlSuite getSuite()

  Returns:
    Returns the suite.

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

  Returns the test context name.

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD